Skip to main content
GET
/
v1
/
compliance
/
export
/
grants
Export grants for compliance
curl --request GET \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/compliance/export/grants \
  --header 'Authorization: Bearer <token>'
{
  "generatedAt": "2023-11-07T05:31:56Z",
  "total": 123,
  "grants": [
    {
      "grantId": "<string>",
      "agentId": "<string>",
      "principalId": "<string>",
      "developerId": "<string>",
      "scopes": [
        "<string>"
      ],
      "status": "active",
      "issuedAt": "2023-11-07T05:31:56Z",
      "expiresAt": "2023-11-07T05:31:56Z",
      "revokedAt": "2023-11-07T05:31:56Z",
      "parentGrantId": "<string>",
      "delegationDepth": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Developer API key

Query Parameters

since
string<date-time>
until
string<date-time>
status
enum<string>
Available options:
active,
revoked,
expired

Response

200 - application/json

Grant export

generatedAt
string<date-time>
total
integer
grants
object[]